Skip to main content
v1

Move the desktop mouse.

POST /v1/desktop/mouse/move: request parameters and responses.

POST /v1/desktop/mouse/move

Performs a health-gated absolute pointer move on the managed desktop and returns the resulting mouse position.

Request body

Required.

application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMouseMoveRequest"
  }
}

Related schemas: DesktopMouseMoveRequest.

Responses

200

Desktop mouse position after move

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/DesktopMousePositionResponse"
  }
}

Related schemas: DesktopMousePositionResponse.

400

Invalid mouse move request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

409

Desktop runtime is not ready

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

502

Desktop runtime health or input failed

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.